Bug 247363 - devel/aegis: make work with devel/bison-3.6.X
Summary: devel/aegis: make work with devel/bison-3.6.X
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-17 22:34 UTC by aryeh.friedman
Modified: 2020-06-19 14:19 UTC (History)
2 users (show)

See Also:
lwhsu: maintainer-feedback? (aryeh.friedman)


Attachments
Patch to the devel/aegis repo files (26.82 KB, patch)
2020-06-17 22:34 UTC, aryeh.friedman
no flags Details | Diff
fixes issues with bison vs. byacc (27.09 KB, patch)
2020-06-18 07:29 UTC, aryeh.friedman
aryeh.friedman: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description aryeh.friedman 2020-06-17 22:34:13 UTC
Created attachment 215680 [details]
Patch to the devel/aegis repo files

Patch attached
Comment 1 Li-Wen Hsu freebsd_committer 2020-06-18 06:51:51 UTC
Fails to build:

https://gist.github.com/bcfc6d7a0a4de17fc86bf85eea349afb

Can you check this log and maybe test in the poudriere? Thanks!
Comment 2 aryeh.friedman 2020-06-18 07:08:40 UTC
(In reply to Li-Wen Hsu from comment #1)

1. There is a patch in the included files that fixes just that and works on postmaster and "make install".  Do you have devel/bison-3.6.3_1 installed on your test machine?

2. The patch was made specifically under the advice of the bison mailing list thread on this (and an other program that had the same issue written by the same upstream author).  https://lists.gnu.org/archive/html/help-bison/2020-06/msg00008.html

So I highly suspect there is something out of date on the committer's machine.   If it is bison I will add it as a build depend.
Comment 3 aryeh.friedman 2020-06-18 07:29:21 UTC
Created attachment 215692 [details]
fixes issues with bison vs. byacc

Added USES+=bison should fix build on committer's machine
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-18 10:19:02 UTC
^Triage: 

- [tags] in issue Titles are deprecated
- Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 5 commit-hook freebsd_committer 2020-06-19 06:29:59 UTC
A commit references this bug:

Author: lwhsu
Date: Fri Jun 19 06:29:39 UTC 2020
New revision: 539592
URL: https://svnweb.freebsd.org/changeset/ports/539592

Log:
  Make work with devel/bison-3.6.X

  PR:		247363
  Submitted by:	aryeh.friedman@gmail.com (maintainer)

Changes:
  head/devel/aegis/Makefile
  head/devel/aegis/files/patch-aefind_cmdline_y
  head/devel/aegis/files/patch-aeimport_format_rcs_gram_y
  head/devel/aegis/files/patch-aeimport_format_sccs_gram_y
  head/devel/aegis/files/patch-common_gettime_y
  head/devel/aegis/files/patch-fmtgen_lex_cc
  head/devel/aegis/files/patch-fmtgen_parse_y
  head/devel/aegis/files/patch-libaegis_aer_lex_cc
  head/devel/aegis/files/patch-libaegis_aer_report_y
  head/devel/aegis/files/patch-libaegis_gram_y
  head/devel/aegis/files/patch-libaegis_meta_lex_cc
  head/devel/aegis/files/patch-libaegis_sub_expr_gram_y
  head/devel/aegis/files/patch-libaegis_sub_plural_gram_y
Comment 6 Li-Wen Hsu freebsd_committer 2020-06-19 06:32:10 UTC
Committed, thanks!  It's tested in the poudriere, which is a freshly installed jail with latest ports tree, for ensuring that the package building is not affected by the packaged installed on the machine. This is the standard of official package building.

Thanks for your patch and do you have a plan to upstream them?
Comment 7 aryeh.friedman 2020-06-19 12:40:47 UTC
(In reply to Li-Wen Hsu from comment #6)
The upstream author (one person team) died of cancer in 2014.  So there is no upstream.
Comment 8 Li-Wen Hsu freebsd_committer 2020-06-19 14:19:51 UTC
(In reply to aryeh.friedman from comment #7)
I'm sorry to hear that.  RIP.  If needed in the future, maybe we need to consider fork and modify.